## ocaml-digestif 1.3.0

=== Makefile ===
.PHONY: all clean test

all:
	dune build

test:
	dune runtest

clean:
	dune clean

## ocaml-digestif 1.2.0

=== debian/changelog ===
ocaml-digestif (1.2.0-1+rpi1) trixie-staging; urgency=medium

  * Disable testsuite and remove nocheck build-dependencies.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 17 Sep 2024 14:34:42 +0000

ocaml-digestif (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1078675)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Aug 2024 09:56:01 +0200

=== debian/control ===
Source: ocaml-digestif
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libeqaf-ocaml-dev,
 dh-ocaml (>= 2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/mirage/digestif
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-digestif
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-digestif.git

Package: libdigestif-ocaml-dev
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: hashes implementations (dev)
 Digestif is a toolbox to provide hashes implementations in C and
 OCaml. It uses the linking trick and user can decide at the end to
 use the C implementation or the OCaml implementation.
 .
 It provides implementation of:
  * MD5
  * SHA1
  * SHA224
  * SHA256
  * SHA384
  * SHA512
  * SHA3
  * Keccak-256
  * WHIRLPOOL
  * BLAKE2B
  * BLAKE2S
  * RIPEMD160
 .
 This package contains development files.

Package: libdigestif-ocaml
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: hashes implementation (runtime)
 Digestif is a toolbox to provide hashes implementations in C and
 OCaml. It uses the linking trick and user can decide at the end to
 use the C implementation or the OCaml implementation.
 .
 It provides implementation of:
  * MD5
  * SHA1
  * SHA224
  * SHA256
  * SHA384
  * SHA512
  * SHA3
  * Keccak-256
  * WHIRLPOOL
  * BLAKE2B
  * BLAKE2S
  * RIPEMD160
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
	echo testsuite disabled

## ocaml-digestif 1.3.0

=== debian/changelog ===
ocaml-digestif (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 17:40:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,14 @@
  ocaml,
  ocaml-dune,
  libeqaf-ocaml-dev,
+ libfmt-ocaml-dev <!nocheck>,
+ libalcotest-ocaml-dev <!nocheck>,
+ libbos-ocaml-dev <!nocheck>,
+ libastring-ocaml-dev <!nocheck>,
+ libfpath-ocaml-dev <!nocheck>,
+ librresult-ocaml-dev <!nocheck>,
+ ocaml-findlib <!nocheck>,
+ libcrowbar-ocaml-dev <!nocheck>,
  dh-ocaml (>= 2)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
